Low level USB mode
info
The Authorization header is not required on fresh, not personalised devices.
info
TLS connection is not required. It is a last resort method for uploading fixes. Firmware is signed anyway, so there's no worry about integrity or genuineness.
Activate USB ACM programming
GET
https://my.ence.do/api/system/upgrade/usbmodeSwitch (reboot) the device into the bootloader into USB CDC-ACM mode to allow the upload of the Intel HEX firmware image.
Headers
| Name | Type | Description |
|---|---|---|
| Authorization | String | Bearer JWT_TOKEN |
Response status code
- 200: Operation successful
- 401: Missing or invalid JWT_TOKEN
- 403: Incorrect access scope
- 406: Operation failed
- 409: Operation failed
- 412: Protocol error - CORS validation failed
No response body.
No response body.
No response body.
No response body.
No response body.
No response body.
Log entries
| Event | Result | Source |
|---|---|---|
| LOG_TYPE_FAILED_SCOPE_CHECK | LOG_RESULT_FAILED | 403 |
| LOG_TYPE_UPGRADE | LOG_RESULT_ERROR | 409 |
| LOG_TYPE_UPGRADE | LOG_RESULT_OK | 200 |